Tests API
Replace test tags
Replace all tags for a test with the provided list.
Authorization
bearerAuth AuthorizationBearer <token>
Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
In: header
Path Parameters
id*string
Test ID
Format
uuidRequest Body
application/json
tagIds*array<>
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://demo.supercheck.dev/api/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags" \ -H "Content-Type: application/json" \ -d '{ "tagIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ] }'[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"color": "string"
}
]Empty
{
"error": "Unauthorized"
}{
"error": "string"
}{
"error": "Not found"
}